Subject: Allow unknown / disallowed properties to be skipped
Description

When using the PropertyMapper, it is useful to allow for partial mapping of sources to a target. This way one can skip certain values in
the source. Right now this is not possible, one can only map all source properties.

I suggest to add skipProperties($name [, $name]) like the existing allowProperties() and skipUnknownProperties() like the existing 
mapUnknownProperties()

Related issues:
related to TYPO3.Flow - Feature # 46061: Allow use of ArrayConverter to parti... Resolved 2013-03-06

Associated revisions
Revision 162f676d - 2013-03-06 11:13 - Karsten Dambekalns

[FEATURE] Allow unknown / disallowed properties to be skipped

This adds skipUnknownProperties() and skipProperties() to the
PropertyMappingConfiguration. If configured to skip all unknown or the
given properties, the PropertyMapper will not throw an error if they
are found in the source when doing property mapping.

Change-Id: I9c60b1f14e8976c2724b62adcc086dcc81815614
Resolves: #46048
Releases: master

History
#1 - 2013-03-06 10:37 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18725

#2 - 2013-03-06 11:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18725

#3 - 2013-04-14 01:15 - Alexander Berl
Should be closed, change is merged.

#4 - 2013-04-14 11:08 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
